# set_break_at_first

Specifies if the branch-and-bound algorithm stops at first found solution.

void set_break_at_first(lprec *lp, unsigned char break_at_first);

Return Value

set_break_at_first has no return value.

Parameters

lp

Pointer to previously created lp model. See return value of make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI

break_at_first

TRUE or FALSE. Stop branch-and-bound algorithm at first found solution or not.

Remarks

The set_break_at_first function specifies if the branch-and-bound algorithm stops at the first found solution or not. Stopping at the first found solution can be useful if you are only interested for a solution, but not necessarily (and most probably) the most optimal solution.
The default is not (FALSE) stop at first found solution.

Example

    #include <stdio.h>
    #include <stdlib.h>
    #include "lp_lib.h"

    int main(void)
    {
      lprec *lp;

      /* Create a new LP model */
      lp = make_lp(0, 0);
      if(lp == NULL) {
        fprintf(stderr, "Unable to create new LP model\n");
        return(1);
      }

      set_break_at_first(lp, TRUE);

      delete_lp(lp);
      return(0);
    }

lp_solve API reference

See Also make_lp, copy_lp, read_lp, read_LP, read_mps, read_freemps, read_MPS, read_freeMPS, read_XLI, is_break_at_first, set_break_at_value, get_break_at_value, set_obj_bound, get_obj_bound, set_mip_gap, get_mip_gap